Write data to a file stream asynchronously

- « swoole_async_set

- swoole_async_writefile »

- PHP Manual
- Swoole Functions
- Write data to a file stream asynchronously

# swoole_async_write

(PECL swoole >= 1.9.0)

swoole_async_write — Write data to a file stream asynchronously

### Description

swoole_async_write(
string `$filename`,
string `$content`,
int `$offset` = ?,
callable `$callback` = ?
): bool

### Parameters

`filename`

  The filename being written.

`content`

  The content writing to the file.

`offset`

  The offset.

`callback`

### Return Values

Returns `true` on success or `false` on failure.